Update SKU preferred units
curl --request PUT \
--url https://api.bold-factory.com/v1/items/skus/{skuReference}/preferredUnits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productionUnitOfMeasureId": "<string>",
"warehouseUnitOfMeasureId": "<string>"
}
'import requests
url = "https://api.bold-factory.com/v1/items/skus/{skuReference}/preferredUnits"
payload = {
"productionUnitOfMeasureId": "<string>",
"warehouseUnitOfMeasureId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({productionUnitOfMeasureId: '<string>', warehouseUnitOfMeasureId: '<string>'})
};
fetch('https://api.bold-factory.com/v1/items/skus/{skuReference}/preferredUnits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/COMMON.AUTH.MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Families.Read",
"instance": "GET /v1/maintenance/assets",
"code": "COMMON.AUTH.MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/PRODUCTION.EMPLOYEE.USUAL_WORKSTATION_ALREADY_SET",
"title": "Usual workstation already set",
"status": 409,
"detail": "This employee (emp_hf9843hf84fdi5us900) already has workstation res_usf8sdf8dfh2bnd as a usual workstation",
"instance": "POST /v1/people/employees/emp_hf9843hf84fdi5us900/workstations",
"code": "PRODUCTION.EMPLOYEE.USUAL_WORKSTATION_ALREADY_SET"
}{
"type": "https://api.bold-factory.com/errors/COMMON.RATE_LIMIT.EXCEEDED",
"title": "Rate limit exceeded",
"status": 429,
"detail": "The request rate limit for this tenant has been exceeded. Retry after the indicated delay.",
"instance": "GET /v1/admin/tenants/self",
"code": "COMMON.RATE_LIMIT.EXCEEDED",
"parameters": {}
}SKUs
Update SKU preferred units
Sets the units the SKU is displayed in by default in the production and warehouse views. Null or the base unit id uses the base unit; any other unit must be a configured alternative.
PUT
/
v1
/
items
/
skus
/
{skuReference}
/
preferredUnits
Update SKU preferred units
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Respuesta
No Content